Bug 718330 - [abrt] blueman-1.21-7.fc15: Notification.py:173:__init__:GError: GDBus.Error:org.freedesktop.DBus.Error.ServiceUnknown: The name org.freedesktop.Notifications was not provided by any .service files
[abrt] blueman-1.21-7.fc15: Notification.py:173:__init__:GError: GDBus.Error:...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: blueman (Show other bugs)
15
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Juan Manuel Rodriguez
Fedora Extras Quality Assurance
abrt_hash:2b8b82d1da70416964fcc1e5372...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-07-01 15:55 EDT by Sebastian Krämer
Modified: 2012-08-07 13:33 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-07 13:33:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sebastian Krämer 2011-07-01 15:55:54 EDT
abrt version: 2.0.3
architecture:   x86_64
cmdline:        /usr/bin/python /usr/bin/blueman-applet
comment:        Trying to connect to a "Headset service" instead of audio sink for a BT stereo headset. The latter succeded. Theoretically, headset service should work too, the device supports the profile.
component:      blueman
executable:     /usr/bin/blueman-applet
kernel:         2.6.38.8-32.fc15.x86_64
os_release:     Fedora release 15 (Lovelock)
package:        blueman-1.21-7.fc15
reason:         Notification.py:173:__init__:GError: GDBus.Error:org.freedesktop.DBus.Error.ServiceUnknown: The name org.freedesktop.Notifications was not provided by any .service files
time:           Fri Jul  1 21:52:41 2011
uid:            500
username:       sebi

backtrace:
:Notification.py:173:__init__:GError: GDBus.Error:org.freedesktop.DBus.Error.ServiceUnknown: The name org.freedesktop.Notifications was not provided by any .service files
:
:Traceback (most recent call last):
:  File "_ctypes/callbacks.c", line 313, in 'calling callback function'
:  File "/usr/lib/python2.7/site-packages/blueman/main/PulseAudioUtils.py", line 172, in wrapper
:    handler(res)
:  File "/usr/lib/python2.7/site-packages/blueman/main/PulseAudioUtils.py", line 302, in handler
:    callback(res)
:  File "/usr/lib/python2.7/site-packages/blueman/plugins/applet/PulseAudio.py", line 214, in load_cb
:    status_icon=self.Applet.Plugins.StatusIcon)
:  File "/usr/lib/python2.7/site-packages/blueman/gui/Notification.py", line 189, in __new__
:    return NotificationBubble(summary, message, timeout, actions, actions_cb, pixbuf, status_icon)
:  File "/usr/lib/python2.7/site-packages/blueman/gui/Notification.py", line 173, in __init__
:    self.show()
:GError: GDBus.Error:org.freedesktop.DBus.Error.ServiceUnknown: The name org.freedesktop.Notifications was not provided by any .service files
:
:Local variables in innermost frame:
:orientation: <enum GTK_ORIENTATION_VERTICAL of type GtkOrientation>
:area: gtk.gdk.Rectangle(8, 583, 24, 24)
:screen: <gtk.gdk.ScreenX11 object at 0x217c910 (GdkScreenX11 at 0x1be1ba0)>
:pixbuf: <gtk.gdk.Pixbuf object at 0x217c690 (GdkPixbuf at 0x2058ad0)>
:actions: None
:summary: u'Bluetooth Audio'
:closed_sig: 136L
:on_notification_closed: <function on_notification_closed at 0x2188b90>
:timeout: -1
:on_action: <function on_action at 0x2188b18>
:status_icon: <StatusIcon object at 0x1f9a910 (GtkStatusIcon at 0x1ed2aa0)>
:message: u'Successfully connected to a Bluetooth audio device. This device will now be available in the PulseAudio mixer'
:self: <NotificationBubble object at 0x217c5f0 (NotifyNotification at 0x1b1d0a0)>
:actions_cb: None
Comment 1 Sebastian Krämer 2011-07-04 02:59:05 EDT
Package: blueman-1.21-7.fc15
Architecture: x86_64
OS Release: Fedora release 15 (Lovelock)

Comment
-----
Turned BT headset on,
plugged BT adapter in and gave it some time to settle -> blueman-applet showed in systray,
right-clicked it and chose from recent connections "audio sind on <..>"

The audio sink is actually created (and working) but there was this crash.

some lines from dmesg:
[ 3549.148805] pulseaudio[1717]: module-bluetooth-device.c: Skipping 3669 us (= 644 bytes) in audio stream
( many of these "skipping .." lines)
[ 3549.152444] bluetoothd[1006]: HUP or ERR on socket
[ 3549.154090] bluetoothd[1006]: headset_resume_complete: resume failed
[ 3549.154140] pulseaudio[1717]: module-bluetooth-device.c: Received error condition: Input/output error
[ 3549.154168] bluetoothd[1006]: bluetoothd[1006]: HUP or ERR on socket
[ 3549.154193] bluetoothd[1006]: bluetoothd[1006]: headset_resume_complete: resume failed
Comment 2 Mr. Meval 2012-04-14 18:10:58 EDT
Tried to share a song on Samsung Galaxy using music player and picked Share Music via Bluetooth

Package: blueman-1.21-10.fc16
OS Release: Fedora release 16 (Verne)
Comment 3 Mr. Meval 2012-04-19 19:45:18 EDT
sent file from phone

Package: blueman-1.21-10.fc16
OS Release: Fedora release 16 (Verne)
Comment 4 Mr. Meval 2012-04-22 10:29:07 EDT
Run NetworkManager after it crashes on a dhclient access to a /var/run file

SELinux is preventing /sbin/dhclient from read access on the file nm-dhclient-em1.conf.

*****  Plugin catchall (100. confidence) suggests  ***************************

If you believe that dhclient should be allowed read access on the nm-dhclient-em1.conf file by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# grep dhclient /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                unconfined_u:system_r:dhcpc_t:s0-s0:c0.c1023
Target Context                unconfined_u:object_r:var_run_t:s0
Target Objects                nm-dhclient-em1.conf [ file ]
Source                        dhclient
Source Path                   /sbin/dhclient
Port                          <Unknown>
Host                          tower
Source RPM Packages           dhclient-4.2.3-6.P2.fc16.x86_64
Target RPM Packages           
Policy RPM                    selinux-policy-3.10.0-84.fc16.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     tower
Platform                      Linux tower 3.3.2-1.fc16.x86_64 #1 SMP Sat Apr 14
                              00:31:23 UTC 2012 x86_64 x86_64
Alert Count                   8
First Seen                    Sat 21 Apr 2012 09:48:46 PM EDT
Last Seen                     Sun 22 Apr 2012 10:26:21 AM EDT
Local ID                      32de1171-7287-4dc7-935b-2f21dd299f16

Raw Audit Messages
type=AVC msg=audit(1335104781.351:322): avc:  denied  { read } for  pid=24185 comm="dhclient" name="nm-dhclient-em1.conf" dev="tmpfs" ino=2593930 scontext=unconfined_u:system_r:dhcpc_t:s0-s0:c0.c1023 tcontext=unconfined_u:object_r:var_run_t:s0 tclass=file


type=SYSCALL msg=audit(1335104781.351:322): arch=x86_64 syscall=open success=no exit=EACCES a0=7fff1b97785f a1=80000 a2=7fa034e88320 a3=38 items=0 ppid=24175 pid=24185 auid=500 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=pts3 ses=7 comm=dhclient exe=/sbin/dhclient subj=unconfined_u:system_r:dhcpc_t:s0-s0:c0.c1023 key=(null)

Hash: dhclient,dhcpc_t,var_run_t,file,read

audit2allow

#============= dhcpc_t ==============
allow dhcpc_t var_run_t:file read;

audit2allow -R

#============= dhcpc_t ==============
allow dhcpc_t var_run_t:file read;



Package: blueman-1.21-10.fc16
OS Release: Fedora release 16 (Verne)
Comment 5 Mr. Meval 2012-04-28 12:46:59 EDT
Sent a file from phone.

Package: blueman-1.21-10.fc16
OS Release: Fedora release 16 (Verne)
Comment 6 Chris Brennan 2012-07-01 14:37:00 EDT
Trying to transfer files from my HTC One S to my laptop via bluetooth.

Package: blueman-1.23-2.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 7 Fedora End Of Life 2012-08-07 13:33:04 EDT
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.